import numpy as np
from netCDF4 import Dataset
from matplotlib import pyplot as plt
from pcgen import visualize_pcd
from open3d import *
from vtk_visualizer import plotxyzrgb


def load_zdf(fname):
    f = Dataset(fname)
    pcd = f['data']['pointcloud'][:,:,:]
    rgb = f['data']['rgba_image'][:,:,:3]
    contrast = f['data']['contrast'][:,:]
    depth = pcd[:, :, 2]
    f.close()
    return np.dstack([pcd,contrast,rgb]), rgb, depth

if __name__ == '__main__':

    pcd, rgb, depth = load_zdf('N:/Zivid_pictures/06052019/pcd2.zdf')

    # Display RGB image
    plt.imshow(rgb)
    plt.show()

    # Display depth map (Z coordinate)
    plt.imshow(depth.astype(np.uint16))
    plt.show()

    #Save rgb for MRCNN
    #plt.imsave('C:/Users/cpascheh/Desktop/maskrcnn/Mask_RCNN/data/input_img/sissor.png', rgb.astype(np.uint8))
    #write_point_cloud('C:/Users/cpascheh/Desktop/workspace/rgb/zivid_data/test_pcd7.ply', pcd)
    #plt.save('C:/Users/cpascheh/Desktop/workspace/rgb/zivid_data/pcd6.ply', pcd)

